Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036628
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2017-08-09 13:352017-09-21 16:49
ReporterjavietxeView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision79642582d449
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036628: SERQA 3194 Error when updating the organization of an entity with computed columns

DescriptionAn error is raised when updating the organization of an entity with computed columns.

An example of the error message:
Entity TABLE SEJ OAKLAND BLANC/NOIR (Product) with organization TEMP BUT BOBIGNY references an entity Product_ComputedColumns (2CEC152714E74A9A9D0B0B9DB625DF0C) through its property _computedColumns but this referenced entity belongs to an organization TEMP BUT AUBIERE ( SUD) which is not part of the natural tree of TEMP BUT BOBIGNY
Steps To ReproduceCreate a register of any entity with computed columns.

Update it changing the Organization.

When trying to commit, the error is raised.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098460)
hgbot (developer)
2017-08-09 15:29

Repository: erp/devel/pi
Changeset: e6738814dcbe4cd1720ef8ec70f062d1edf61d3e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Aug 09 15:24:46 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e6738814dcbe4cd1720ef8ec70f062d1edf61d3e [^]

related to bug 36628: can't update organization if entity has computed columns

  Added test case

---
M src-test/src/org/openbravo/test/security/EntityAccessTest.java
---
(0098461)
hgbot (developer)
2017-08-09 15:29

Repository: erp/devel/pi
Changeset: 79642582d449ac2cfd51b2bdfaf2ae276ff473c2
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Aug 09 15:27:55 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/79642582d449ac2cfd51b2bdfaf2ae276ff473c2 [^]

fixed bug 36628: can't update organization if entity has computed columns

  Computed columns organization matches base object's organization, when org in
  base one is updated, the one in computed columns does not.

  When validating referenced organizations computed columns was included, failing
  in this case.

  As computed is a virtual entity which client and org properties are just for
  convenience and they cannot be updated, it is not necessary to check for organization
  correctness.

---
M src/org/openbravo/dal/core/OBInterceptor.java
---
(0098489)
caristu (developer)
2017-08-11 12:21

Code reviewed + tested OK.
(0099303)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test
(0099304)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-09 13:35 javietxe New Issue
2017-08-09 13:35 javietxe Assigned To => platform
2017-08-09 13:35 javietxe Modules => Core
2017-08-09 13:35 javietxe Triggers an Emergency Pack => No
2017-08-09 15:28 alostale Assigned To platform => alostale
2017-08-09 15:29 hgbot Checkin
2017-08-09 15:29 hgbot Note Added: 0098460
2017-08-09 15:29 hgbot Checkin
2017-08-09 15:29 hgbot Note Added: 0098461
2017-08-09 15:29 hgbot Status new => resolved
2017-08-09 15:29 hgbot Resolution open => fixed
2017-08-09 15:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/79642582d449ac2cfd51b2bdfaf2ae276ff473c2 [^]
2017-08-09 15:29 alostale Review Assigned To => caristu
2017-08-11 12:21 caristu Note Added: 0098489
2017-08-11 12:21 caristu Status resolved => closed
2017-08-11 12:21 caristu Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099303
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099304


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker